from konova.management.commands.kspMigrater.compensation_migrater import CompensationMigrater
from konova.management.commands.kspMigrater.eco_account_migrater import EcoAccountMigrater
from konova.management.commands.kspMigrater.ema_migrater import EmaMigrater
from konova.management.commands.kspMigrater.intervention_migrater import InterventionMigrater
from konova.management.commands.kspMigrater.user_migrater import UserMigrater
from konova.management.commands.setup import BaseKonovaCommand


class Command(BaseKonovaCommand):
    help = "Migrates from KSP database to Konova"
    db_connection = None

    def add_arguments(self, parser):
        parser.add_argument('--host', type=str)
        parser.add_argument('--db-user', type=str)
        parser.add_argument('--db-pw',  type=str)

    def handle(self, *args, **options):
        try:
            migraters = [
                #InterventionMigrater(options),
                #CompensationMigrater(options),
                #EmaMigrater(options),
                #EcoAccountMigrater(options),
                UserMigrater(options),
            ]
            for migrater in migraters:
                migrater.migrate()

        except KeyboardInterrupt:
            self._break_line()
            exit(-1)
